Subject: [Tools-discuss] [Fwd: Re: DATATRACKER visibility and LC announcements]

From: Brian E Carpenter <[email-masked]>
Date: Fri, 13 Feb 2009 15:45:09 +1300

Forwarded with permission from Alfred Hoenes:

------------------------------------------------------

Brian,
thanks for your response ...

> > Alfred,
> >
> > Thanks. The hidden issue here is the somewhat uneasy relationship
> > between the tools.ietf.org pages (which are maintained by volunteers)
> > and the main *.ietf.org pages (which are maintained by the paid
> > secretariat). Smooth integration between the two is quite hard
> > to achieve, not because of ill-will but just for practical reasons
> > (different style of working, etc.).

Apparently, day-to-day IESG operations already rely on the Tools
servers so heavily that reliance opon them for temporally limited
workflows like IETF Last Calls would not change the circumstances
significantly.  According to my experience, the Tools servers are
operated and maintained in a very flexible manner and highly adaptive
to evolving user requirements, much more than the contracted
Sectretariat services ever will be able.
Directing reviewers to the Tools servers during LC should not incur
time-criticality, because any draft subject to LC announcement already
should have been published some time before, and entered the Dataracker
in state "Publication Requested" also some time before.  :-)

> > With your permission, I would like to forward your message to
> > the tools-discuss list. ...

Please feel free to do so, ...  but please first read on ...
maybe you will consider that OBE to some degree.  :-)

> >                     ... In fact you could consider joining that
> > list; as far as I know, it's open to all.
> >   https://www.ietf.org/mailman/listinfo/tools-discuss
> >
> > Regards
> >    Brian Carpenter
> >    University of Auckland
> >
> >
> > On 2009-02-12 02:49, Alfred H�nes wrote:
>> >> Brian,
>> >> this message is sent in response to a remark in your posting to the
>> >> IETF general discussion list archived at
>> >>      http://www.IETF.ORG/mail-archive/web/ietf/current/msg55524.html ,
>> >> where you mention the lack of visibility of the IETF Datatracker.
>> >>
>> >> Apparently you have overlooked that the links you are calling for,
>> >> pointing to the Datatracker page pertaining to a draft, already
>> >> exist where they can be expected:
>> >>
>> >> For instance, the draft page you also are pointing at explicitely,
>> >>     http://tools.IETF.ORG/html/draft-housley-tls-authz-extns-07 ,
>> >> like all HTML-ized I-D pages at http://tools.ietf.org/html/
>> >> pertaining to a draft (already) progressed far enough,
>> >> in fact already *does* contain (in its topmost line of hyperlinks)
>> >> a link to the proper Datatracker page for that draft.
>> >>
>> >> I concur with your observation that the visibility of (non-IESG)
>> >> comments in the datatracker pages is rather poor.
>> >>
>> >>
>> >> As a private opinion, I would like to add that it's a pity that
>> >> the IETF Tools pages do not serve as the 'primary' reference for
>> >> I-Ds; it's still the 'primary I-D repository' at www.IETF.ORG that
>> >> only contains the last version of a draft (or its 'tombstone' file
>> >> for an expired draft) which is used in many places, including IETF
>> >> LC announcements.  (Please regard this note as also supporting your
>> >> past efforts to overcome the ossified procedural rules of the IETF
>> >> as laid down in RFC 2026 et al., and to give a more realistic and
>> >> up-to-date representation of the procedures as applied in reality.)
>> >>
>> >> Kind regards,
>> >>   Alfred H�nes.

After sending this above message to you, I decided to go one step
further and posted the following message to the IESG and the IETF
main list.  Since I'm not on the IETF main list (for reasons you
easily might guess ... :-) ), it is subject to moderation, and from
checking the list archive, it looks like it has not passed yet.
To let you know about it quickly, here it is attached:

---------- posted message -----------

> > From: "Alfred H�nes" <ah@.TR-Sys.de>
> > To: [email-masked]
> > Cc: [email-masked]
> > Message-Id: <[email-masked]>
> > Date: Wed, 11 Feb 2009 15:17:45 +0100 (MEZ)
> > Subject: LC announcements -- lessons to be learned?

Hello all,

as a result of the recent avalanche of messages on the IETF General
Discussion list, I suggest to apply the following two changes to
IETF LC announcements:

(a)

To better qualify the action expected,
replace the clause:

| ...  Please send substantive comments to ...

by:

| ...  Please read this document and send substantive comments to ...

(b)

To simplify the resource pointers, and thereby better guide readers
to more information available online regarding the subject draft,
replace the trailing clauses following the pattern:

| The file can be obtained via
| http://www.ietf.org/internet-drafts/draft-xxx-yyy-zzz-nn.txt
|
| IESG discussion can be tracked via
| https://datatracker.ietf.org/public/pidtracker.cgi?...

by simply:

| The draft and related information (including IESG discussion) can be
| obtained via:
| http://tools.ietf.org/html/draft-xxx-yyy-zzz-nn

[[ If you prefer, the parenthetical clause could be elided as well. ]]

Rationale:

Any serious IETF participant that prefers direct access to the text
version of the draft file will be able to translate the above link
to the corresponding URL pointing to the I-D (mirror) archive of its
personal preference, and infrequent participants are expected to
appreciate the HTML-ized version generated by the IETF Tools servers.

It should be noted that the Tools pages following the above URI
pattern -- beyond containing a link to the related Datatracker
page -- also contain a pointer to the responsible WG pages (if any)
and offer the whole history of the draft under consideration.

Best regards,
  Alfred H�nes.

---------- end of posted message --------

I also had forwarded that message to Henrik Levkowetz with a short
explanation, and he replied:

> > From: Henrik Levkowetz <[email-masked]>
> > To: "Alfred H�nes" <[email-masked]>
> > In-Reply-To: <[email-masked]>
> > References: <[email-masked]>
> > Message-Id: <[email-masked]>
> > Date: Wed, 11 Feb 2009 17:52:58 +0100
> > Subject: Re: LC announcements -- lessons to be learned? (fwd)
> >
> > Hi Alfred,
> >
> > On 2009-02-11 15:30 Alfred said the following:
>> >> Henrik,
>> >>
>> >> FYI -- I just have posted a message that -- iff proposal (b)
>> >> is going to be applied -- might increase the load on, and the
>> >> importance of, the IETF Tools servers.
>> >> I hope that would not be perceived as trouble.   :-)
> >
> > Nope, they are there to be used.  I don't think the added load
> > should cause any kind of trouble.
> >
> > Best,
> > 	Henrik
> >
> >
>> >> Kind regards,
>> >>   Alfred.
> >
> >
> > ------- <snip> ...

Kind regards again,
  Alfred.

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes | Alfred Hoenes Dipl.-Math., Dipl.-Phys. |
| Gerlinger Strasse 12 | Phone: (+49)7156/9635-0, Fax: -18 |
| D-71254 Ditzingen | E-Mail: [email-masked] |
+------------------------+--------------------------------------------+